> For the complete documentation index, see [llms.txt](https://docs.defisaver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defisaver.com/actions/utils/transfernft.md).

# TransferNFT

### Description

Helper action to transfer a NFT token to the specified address.

> **Notes**
>
> The user's wallet must have approve if \_from != user's wallet.

### Action ID

`0xa3443678`

### SDK Action

```ts
const transferNFTAction = new dfs.actions.basic.TransferNFTAction(
    nftAddr,
    from,
    to,
    nftId
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param nftAddr Address of the NFT contract
    /// @param from Address of the sender
    /// @param to Address of the recipient
    /// @param nftId ID of the NFT to transfer
    struct Params {
        address nftAddr;
        address from;
        address to;
        uint256 nftId;
    }
```

### Return Value

```solidity
return bytes32(inputData.nftId);
```

### Events and Logs

```solidity
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.defisaver.com/actions/utils/transfernft.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
